#include <Block/SpriteBlock/Chain/Chain.hpp>

Chain::Chain(std::string name) :
    SpriteBlock(
        name,
        "Chain",
        0.5f,
        "chain",
        {
            {
                {"chain", "chain", "chain", "chain", "chain", "chain"},
                {{2, 2, 0, 6, 6, 8}},
                "default",
            }
        }
    )
{
    withMetalSounds();
}

bool Chain::canManuallyDig()
{
    return true;
}